// .................................................
// .      sneaks like saki                         .
// . Scripts for ut4_slswater texture folder       .
// .              Urban Terror 4.1                 .
// ............................................... !
//
// content
// sls_watercaulk script
// sls_water script
// sls_waterpuddle script
// credit

textures/ut4_slswater/sls_watercaulk
	{
	qer_editorimage textures/ut4_slswater/sls_watercaulk.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	}


textures/ut4_slswater/sls_water
{
	qer_editorimage textures/ut4_slswater/sls_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{ 
		map textures/ut4_slswater/sls_water2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/ut4_slswater/sls_water4.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/ut4_slswater/sls_water6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/ut4_slswater/sls_waterpuddle
{
	qer_editorimage textures/ut4_slswater/sls_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .3 .2 0 .3

	{ 
		map textures/ut4_slswater/sls_waterpuddle2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod turb 0 .2 .01 .02					//massive turb //tcmod turb 0 1 0.01 0.2
	}
	{ 
		map textures/ut4_slswater/sls_waterpuddle4.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod turb 0 .1 .01 .02					//massive turb //tcmod turb 0 1 0.01 0.2
	}
	{ 
		map textures/ut4_slswater/sls_waterpuddle6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod turb 0 .02 .01 .2					//massive turb //tcmod turb 0 1 0.02 0.2
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// credits
//
// ut4_slswater sls_watercaulk script
// water caulk script; copied Delirium from Urban Terror forum 08 March 2010
// http://forums.urbanterror.net/topic/16167-shader-questions-a-query-of-sorts/
//
// ut4_slswater sls_water
// script for 'still' puddles; copied liquids/flatripplewater_1500 script
// and other water/lava scripts in general; from liquid and liquids shaders from Urban Terror 000Z.pk3s
// modified and punished by sneaks
//
// ut4_slswater sls_waterpuddle
// modified and punished sls_water script
//
// all notes writen behind // are notes only and do not effect the script
// to avoid confict and corruption of these files, rename the file when/if you modify
// and please give credit where credit is due
//
// Thanks Snafu for showing me Urban Terror
//
// Ultimatly to my family; the greatest girls in the world. Thanks for yor support and encouragement
//
// regards,
// sneaks
// July 2010